<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha1/css/bootstrap.min.css"
        integrity="sha384-r4NyP46KrjDleawBgD5tp8Y7UzmLA05oM1iAEQ17CSuDqnUK2+k9luXQOfXJCJ4I" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:300,3001,700">
    <link rel="stylesheet" href="./css/style.css">
    <title>G-Sport</title>
</head>

<body>
    <content>
        <main  class="main">
            <div class="login-form">
                <h2 class="heading-secondary ma-bt-lg">Create a New Account</h2>
                <form class="form form--signup">
                  <div class="form__group">
                    <label class="form__label" for="username">Name</label>
                    <input class="form__input" id="username" type="text" placeholder="User Name" required="required"/>
                  </div>
                    <div class="form__group">
                        <label class="form__label" for="enrollment">Enrollment</label>
                        <input class="form__input" id="enrollment" type="number" placeholder="12210063"
                        required="required" pattern="/^12\d{6}$/"/>
                    </div>
                    <div class="form__group">
                      <label class="form__label" for="email">Email address</label>
                      <input class="form__input" id="email" type="email" placeholder="12______.gcit@rub.edu.bt"
                      required="required"/>
                    </div>
                    
                    <div class="form__group ma-bt-md">
                        <label class="from__label" for="password">Password</label>
                        <input class="form__input" id="password" type="password" placeholder=".........."
                        required="required" minlength="8"/>
                    </div>
                    <div class="form__group ma-bt-md">
                        <label class="from__label" for="passwordConfirm">Confirm Password</label>
                        <input class="form__input" id="passwordConfirm" type="password" placeholder=".........."
                        required="required" minlength="8"/>
                    </div>
                    <div class="form__group">
                        <button class="btn btn--green">Signup</button>
                    </div>
                </form>
            </div>
        </main>
    </content>
    <script type="module" src="./js/signup.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"></script>

    <script>
      const usernameInput = document.getElementById('username');
      const usernamePattern = /^[A-Za-z]+$/;

      usernameInput.addEventListener('input', () => {
        const inputValue = usernameInput.value;
        if (!usernamePattern.test(inputValue)) {
          usernameInput.setCustomValidity('Name should contain only uppercase letters');
        } else {
          usernameInput.setCustomValidity('');
        }
      });

      const emailInput = document.getElementById('email');
      const emailPattern = /^12\d{6}\.gcit@rub\.edu\.bt$/;

      emailInput.addEventListener('input', () => {
        const inputValue = emailInput.value;
        if (!emailPattern.test(inputValue)) {
          emailInput.setCustomValidity('Invalid email address. Please use the format 12______.gcit@rub.edu.bt');
        } else {
          emailInput.setCustomValidity('');
        }
      });


    </script>
    <!-- <script>
        // Get references to the form and form elements
        var form = document.querySelector('.form--signup');
        var usernameInput = document.getElementById('username');
        var enrollmentInput = document.getElementById('enrollment');
        var emailInput = document.getElementById('email');
        var passwordInput = document.getElementById('password');
        var confirmPasswordInput = document.getElementById('passwordConfirm');
      
        // Regular expressions for validation
        var nameRegex = /^[A-Za-z]+$/;
        var enrollmentRegex = /^12\d{6}$/;
        var emailRegex = /^12\d{6}\.gcit@rub\.edu\.bt$/;
        var passwordRegex = /^.{8,}$/;
      
        // Add event listener for form submission
        form.addEventListener('submit', function(event) {
          // Prevent the form from submitting
          event.preventDefault();
      
          // Perform validation
          var isValid = true;
          var errorMessage = '';
      
          if (!nameRegex.test(usernameInput.value.trim())) {
            isValid = false;
            errorMessage += 'Name should only contain alphabetic characters.\n';
          }
      
          if (!enrollmentRegex.test(enrollmentInput.value.trim())) {
            isValid = false;
            errorMessage += 'Enrollment number should start with "12" and have a length of 8 characters.\n';
          }
      
          if (!emailRegex.test(emailInput.value.trim())) {
            isValid = false;
            errorMessage += 'Email should follow the format 12******.gcit@rub.edu.bt.\n';
          }
      
          if (!passwordRegex.test(passwordInput.value)) {
            isValid = false;
            errorMessage += 'Password should be at least 8 characters long.\n';
          }
      
          if (passwordInput.value !== confirmPasswordInput.value) {
            isValid = false;
            errorMessage += 'Password confirmation does not match.\n';
          }
      
          // If any fields are invalid, display the error message
          if (!isValid) {
            alert(errorMessage);
          } else {
            // If all fields are valid, submit the form
            form.submit();
          }
        });
      </script> -->
</body>

</html>